Page MenuHomePhabricator

Homepage: remove question-asking from help module
Closed, ResolvedPublic

Description

Since deploying the newcomer homepage in May 2019, we've looked at how often different components of the page are used. The page contains two ways for a newcomer to ask a question: the help module and the mentorship module. In the former, the question goes to the community help desk, and in the latter, it goes to the user's mentor.

After several months of usage, the following is how many users have asked questions via the help module and mentorship module (as of 2019-09-09):

This shows that the mentorship module is uniformly more popular across our target wikis -- about 15x more popular. Therefore, to reduce the number of distractions on the page, we want to remove the ability to ask a question from the help module. Specifically:

  • Remove the button from the help module enabling the user to ask a question. We may not want to actually remove the code, in case we need this ability again in the future.
  • Remove the "Your recent questions" section for all users, even those who have asked questions. The number of users who have actually asked questions is quite low, and few of them are likely to come back and view their homepage again at this point.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterHomepage: Stop querying non-existent help module storage
mediawiki/extensions/GrowthExperiments : masterHomepage: Remove question asking functionality from help module

Event Timeline

This is ready for development, but should not be deployed until we hear from @nettrom_WMF on whether we should just do this, or should wait for a clearer milestone for affecting our data collection and analysis.

@MMiller_WMF : given the low usage and that we're only removing parts of the Help Panel feature (the question asking ability) rather than the entire panel, I don't see this having major impact on our Homepage experiment, so it can happen whenever the engineers feel like picking it up.

MMiller_WMF renamed this task from Homepage: remove question-asking from help panel to Homepage: remove question-asking from help module.Sep 11 2019, 5:55 PM

Change 535976 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] [WIP] Homepage: Remove question asking functionality from help panel

https://gerrit.wikimedia.org/r/535976

Reviewing the patch. I'm all for removing code, but just wanted to note that an alternative would be to feature flag the help module ask question functionality, with a default to off. Then, if non-target wikis wanted GrowthExperiments but didn't want or have the capacity for a mentors list, question asking could still take place via the help module (since the mentor module wouldn't render at all for those wikis).

Change 535976 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Homepage: Remove question asking functionality from help module

https://gerrit.wikimedia.org/r/535976

Checked in testwiki wmf.23 - all is ok except the following issue on mobile: Help panel overlay is shifted up - T233163

@MMiller_WMF - please review the following:
(1) The direct link to Help desk - "View questions from other users" - is not present anymore


(2) The tag 'Help module question' is marked as inactive and as such cannot be searched by RC filters.

@Etonkovidova -- I think that T233163 should be a blocker for this task. The other two things you listed are okay -- so we'll leave this task in your column until you check the solution for T233163.

MMiller_WMF closed this task as Resolved.Sep 23 2019, 10:15 PM

I see that this change is in production, so I'm resolving this task.

Change 539592 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Homepage: Stop querying non-existent help module storage

https://gerrit.wikimedia.org/r/539592

kostajh reopened this task as Open.Sep 27 2019, 6:01 PM
kostajh moved this task from Needs PM Review to Code Review on the Growth-Team (Current Sprint) board.

Re-opening because we forgot one chunk of code.

Change 539592 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Homepage: Stop querying non-existent help module storage

https://gerrit.wikimedia.org/r/539592

Etonkovidova closed this task as Resolved.Oct 1 2019, 9:56 PM